Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql
Class DriverPropertyInfo

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.DriverPropertyInfo

public class DriverPropertyInfo
extends Object

This class holds a driver property that can be used for querying or setting driver configuration parameters.

Field Summary
`String[]` | `choices` If values are restricted to certain choices, this is the list of valid ones.
`String` | `description` A description of the property, possibly `null`.
`String` | `name` The name of the property.
`boolean` | `required` A flag indicating whether or not a value for this property is required in order to connect to the database.
`String` | `value` This is the value of the property.

Constructor Summary
`DriverPropertyInfo(String name, String value)` This method initializes a new instance of `DriverPropertyInfo` with the specified name and value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### name

    public String name

  The name of the property.

### description

    public String description

  A description of the property, possibly `null`.

### required

    public boolean required

  A flag indicating whether or not a value for this property is required in order to connect to the database.

### value

    public String value

  This is the value of the property.

### choices

    public String[] choices

  If values are restricted to certain choices, this is the list of valid ones. Otherwise it is `null`.

Constructor Detail

### DriverPropertyInfo

    public DriverPropertyInfo(String name,
                              String value)

  This method initializes a new instance of `DriverPropertyInfo` with the specified name and value. All other fields are defaulted.
  Parameters:
    `name` - The name of the property.
    `value` - The value to assign to the property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD